      REAL FUNCTION RANDL(X)
C
C     RETURNS PSEUDO RANDOM NUMBERS LOGARITHMICALLY DISTRIBUTED
C     OVER (1,EXP(X)).  THUS A*RANDL(LN(B/A)) IS LOGARITHMICALLY
C     DISTRIBUTED IN (A,B).
C
C     OTHER SUBROUTINES REQUIRED
C
C        EXP(X) - THE EXPONENTIAL ROUTINE
C
C        RAN(K) - A FUNCTION PROGRAM RETURNING RANDOM REAL
C                 NUMBERS UNIFORMLY DISTRIBUTED OVER (0,1).
C                 THE ARGUMENT K IS A DUMMY.
C
C
      REAL RAN,X
      INTEGER K
      DATA K/1/
C
      RANDL = EXP(X*RAN(K))
      RETURN
C     ---------- LAST CARD OF RANDL ----------
      END
